// Declare the ROOT macro (= C++ function)
#include<sstream>
void histo()
{
  // Reset the ROOT session (in case other macros have been run already)
  gROOT->Reset();

  // Number of bins for the histogram - you can play with the value
  // to get a nice histogram ...
  int bins = 42;

  // All Energies are in GeV - they have been saved in GeV 
  // to the output file etotal.txt

  // Min/Max values for the histogram.
  // Depending on the energy of you primary particles
  // you have to adjust the boundaries for the histogram
  double fromEnergy = 0.;
  double toEnergy   = 1.;


  //////////////////////////////////////////////////////////////////
  //
  // Define ("book") the histogram - a 1D histogram in which
  // we want to display the energy distribution of our events
  //
  TH1D* h1 = .... ;


  // Open the data file.
  ifstream file("etotal.txt");
  int count = 0; // Counter

  // Read in the data file
  while ( ! file.eof() ) {
    count++; 
    double etotal; // Total energy deposited per event
    file >> etotal;
  
    /////////////////////////////////////////////////////////////////
    // Fill the histogram with the energies
    your code ....
  
  }
  
  // Draw the histogram.
  h1->Draw();

  file.close();
  cout << count << " events have been read in." << endl;

}
 
